<h1> Photos </h1>
<input type="file" (change)="uploadPhoto($event)">
<div>{{ uploadPercent | async }}</div>
<a [href]="photoDownloadURL | async">{{ photoDownloadURL | async }}</a>
<br>
image: uploaded by app <br>
<img [src]="(photos | async)?.url1" alt="">
<br>
image: "/resource/image.jpeg" <br>
<img src="/resource/image.jpeg" alt="">
<hr>


<h1> Audios </h1>
<input type="file" (change)="uploadAudio($event)">
<div>{{ uploadPercent | async }}</div>
<a [href]="audioDownloadURL | async">{{ audioDownloadURL | async }}</a>
<br>

Audio on firebase uploaded directly - "audio.mp3" @firebase
<audio controls>
  <source src="https://firebasestorage.googleapis.com/v0/b/test001-lizhang.appspot.com/o/audios%2Ffeatured%2Faudio.mp3?alt=media&token=1b29065c-44f0-4270-98f3-d258f37dcc12" type="audio/mpeg">
</audio><br>

Audio on firebase uploaded - "url1" @firebase
<audio controls>
  <source src="https://firebasestorage.googleapis.com/v0/b/test001-lizhang.appspot.com/o/audios%2Ffeatured%2Furl1?alt=media&token=04073d35-61a2-428d-94fb-029d3970e4bb" type="audio/mpeg">
</audio><br>



Audio : "/resource/audio.mp3"
<audio controls>
  <source src="/resource/audio.mp3" type="audio/mpeg">
</audio><br>

Audio : "../../../resource1/audio.mp3"
<audio controls>
  <source src="../../../resource1/audio.mp3" type="audio/mpeg">
</audio><br>


Audio : "./resource2/audio.mp3"
<audio controls>
  <source src="./resource2/audio.mp3" type="audio/mpeg">
</audio><br>


Audio on firebase uploaded by App - "url1" @firebase
<audio controls>
    <source [src]="(audios | async)?.url1"  type="audio/mpeg">
  </audio><br>

<hr>



<h1> Videos </h1>
<input type="file" (change)="uploadVideo($event)">
<div>{{ uploadPercent | async }}</div>
<a [href]="videoDownloadURL | async">{{ videoDownloadURL | async }}</a>
<br>


Video on firebase uploaded directly<br>
<video width="320" height="240" controls>
  <source src="https://firebasestorage.googleapis.com/v0/b/test001-lizhang.appspot.com/o/videos%2Ffeatured%2Fvideo.mp4?alt=media&token=1e633ee9-4103-4d82-a9d7-595fb3cc9dd0"  type="video/mp4">
</video><br>


Video : "/resource/video.mp4"<br>
<video width="320" height="240" controls>
      <source src="/resource/video.mp4"  type="video/mp4">
  </video><br>


Video on firebase uploaded by App<br>
<video width="320" height="240" controls>
    <!-- <source src="(videosURL | async)?.url1"  type="video/mp4"> -->
      <source [src]="(videos | async)?.url1"  type="video/mp4">
  </video>
<br>


<hr>

